services:
  opengist:
    container_name: opengist
    image: ghcr.io/thomiceli/opengist:latest
    depends_on:
      - postgres
    restart: unless-stopped
    environment:
      OG_GITHUB_CLIENT_KEY: ${OG_GITHUB_CLIENT_KEY}
      OG_GITHUB_SECRET: ${OG_GITHUB_SECRET}
      OG_EXTERNAL_URL: https://gist.ptrwd.com
      OG_DB_URI: "postgres://${PG_USER}:${PG_PASSWORD}@postgres:5432/${PG_DATABASE}"
    ports:
      - 6157:6157
      - 2322:2222
    volumes:
      - $HOME/.opengist:/opengist
    labels:
      - diun.enable=true
  postgres:
    image: postgres:16.4
    restart: unless-stopped
    volumes:
      - ./opengist-database:/var/lib/postgresql/data
    environment:
      POSTGRES_USER: ${PG_USER}
      POSTGRES_PASSWORD: ${PG_PASSWORD}
      POSTGRES_DB: ${PG_DATABASE}
    labels:
      - diun.enable=true